Bug 855046 - AttributeError: 'NoneType' object has no attribute 'name'
AttributeError: 'NoneType' object has no attribute 'name'
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
abrt_hash:14d6b1add58d832d72c65a2ab1f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-06 10:54 EDT by al morris
Modified: 2012-09-11 16:21 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-07 10:44:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: program.log (40.49 KB, text/plain)
2012-09-06 10:54 EDT, al morris
no flags Details
anaconda logs (290.06 KB, application/octet-stream)
2012-09-07 09:50 EDT, Jeff Bastian
no flags Details
anaconda traceback (393.90 KB, text/plain)
2012-09-07 09:53 EDT, Jeff Bastian
no flags Details

  None (edit)
Description al morris 2012-09-06 10:54:30 EDT
Description of problem:


Version-Release number of selected component:
anaconda-18.6

Additional info:
libreport version: 2.0.12
cmdline:        preupgrade repo=hd::/var/cache/yum/preupgrade ks=hd:UUID=c3619e25-cca1-4e2b-9396-c5dc4f6f2f25:/upgrade/ks.cfg stage2=hd:UUID=c3619e25-cca1-4e2b-9396-c5dc4f6f2f25:/upgrade/squashfs.img
kernel:         3.6.0-0.rc2.git2.1.fc18.x86_64
Comment 1 al morris 2012-09-06 10:54:32 EDT
Created attachment 610383 [details]
File: program.log
Comment 2 Chris Lumens 2012-09-06 11:06:02 EDT
Please attach the complete /tmp/anaconda-tb-* file to this bug report.  There's not enough information here for us to do anything with.
Comment 3 Jeff Bastian 2012-09-07 09:50:48 EDT
Created attachment 610721 [details]
anaconda logs

I hit this same error trying to preupgrade from F17 to the F18 prerelease.

The bug reporting mechanism in anaconda won't attach anything if it finds a duplicate BZ, so I manually tar'ed up the logs from /tmp.  See the attached bz855046.tar.gz

Note: I'm hitting another problem too.  Sometimes Anaconda appears to start, then the screen goes black and nothing else happens.  I hit CTRL-ALT-F1 and the screen is full of gtk and X11 errors and at the bottom it says "Pane is dead" in bold white letters.  It appears the window manager is crashing.  Fortunately there is a /usr/bin/restart-anaconda command, and after a few iterations of that, I was able to reproduce this problem regarding "'NoneType' object has no attribute 'name'"
Comment 4 Jeff Bastian 2012-09-07 09:53:29 EDT
Created attachment 610724 [details]
anaconda traceback

anaconda-tb-79K2Ld is also in the bz855046.tar.gz, but I'm attaching it separately for convenience
Comment 5 Chris Lumens 2012-09-07 10:44:52 EDT
Upgrades have not seen any testing yet, and won't yet for a little bit as they are not alpha criteria.  Further, we're not going to be using anaconda for upgrades anymore.  That's going to be handled entirely by preupgrade and other systems-level processes.
Comment 6 Brian Lane 2012-09-10 19:28:22 EDT
Jeff, the problem with X dieing sounds like bug 855289, could you attach your X.log file over there?
Comment 7 Jeff Bastian 2012-09-11 16:21:13 EDT
Thanks for the pointer!  I've added the log to bug 855289

Note You need to log in before you can comment on or make changes to this bug.